Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

fix npe when check for exception cause #761

Merged
merged 3 commits into from Nov 17, 2015
Merged

fix npe when check for exception cause #761

merged 3 commits into from Nov 17, 2015

Conversation

ssalinas
Copy link
Member

@@ -99,7 +99,7 @@ public SlaveNotFoundException(Exception e) {
} catch (ConnectException ce) {
throw new SlaveNotFoundException(ce);
} catch (Exception e) {
if (e.getCause().getClass() == ConnectException.class) {
if (e.getCause()!= null && e.getCause().getClass() == ConnectException.class) {
Copy link
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

insane nitpick -- can you add a space before !==? might also be good to wrap the two equality checks in parens for readability

@tpetr
Copy link
Contributor

tpetr commented Nov 13, 2015

👍

@ssalinas ssalinas added the hs_qa label Nov 16, 2015
@tpetr tpetr added this to the 0.4.6 milestone Nov 17, 2015
tpetr pushed a commit that referenced this pull request Nov 17, 2015
fix npe when check for exception cause
@tpetr tpetr merged commit 61d44ab into master Nov 17, 2015
@tpetr tpetr removed hs_qa labels Nov 17, 2015
@tpetr tpetr deleted the sentry_npe branch November 17, 2015 20:26
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants